Subject: bug#66702: Add easy customization for .dir-locals.el files

From: Juri Linkov <[email-masked]>
Date: Wed, 25 Oct 2023 09:48:27 +0300

>>> M-x add-dir-local-variable RET nil RET foo RET t
>>> M-x diff-buffer-with-file RET RET
>>>
>>> Should we add a nosort option somewhere?
>>
>> The assumption was that .dir-locals.el will always be modified
>> by these commands.  But since it's often modified manually
>> with an arbitrary order, this means that the sorting order
>> is not important.  So we could simply remove the sorting code.
>
> Hmm, but that would be backward incompatible.  Someone out there might
> be relying in these commands to keep the settings sorted.

Then we could add a simple variable, not a customizable option.
Then they could even set this variable in the customized .dir-locals.el!